> ## Documentation Index
> Fetch the complete documentation index at: https://dexbuilder.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# 查询单个合约信息

> 查询指定永续合约的详细信息

查询指定永续合约的详细信息。


## OpenAPI

````yaml openapi/perpdex.yaml GET /dex_futures/{settle}/contracts/{contract}
openapi: 3.0.3
info:
  title: DexBuilder PerpDEX API
  version: 1.0.0
  description: DexBuilder PerpDEX REST API。
servers:
  - url: https://api.dexbuilder.com/api/v1
    description: DexBuilder PerpDEX REST API
security:
  - DexBuilderKey: []
    DexBuilderTimestamp: []
    DexBuilderSignature: []
tags:
  - name: 行情
    description: 永续合约公开行情与市场数据
  - name: 风险数据
    description: 风险限额与市场强平数据
  - name: 账户
    description: 账户与费率
  - name: 持仓
    description: 持仓查询与管理
  - name: 订单
    description: 订单、成交与批量交易
paths:
  /dex_futures/{settle}/contracts/{contract}:
    get:
      tags:
        - 行情
      summary: 查询单个合约信息
      description: 查询指定永续合约的详细信息。
      operationId: getPerpContract
      parameters:
        - $ref: '#/components/parameters/Settle'
        - $ref: '#/components/parameters/ContractPath'
      responses:
        '200':
          description: 查询成功
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Contract'
      security: []
components:
  parameters:
    Settle:
      name: settle
      in: path
      required: true
      description: 结算币种
      schema:
        type: string
        enum:
          - usdt
      example: usdt
    ContractPath:
      name: contract
      in: path
      required: true
      description: 永续合约
      schema:
        type: string
      example: BTC_USDT
  schemas:
    Contract:
      type: object
      description: 永续合约信息1
      properties:
        name:
          type: string
          description: 合约名称
          example: BTC_USDT
        type:
          type: string
          description: 合约类型
          enum:
            - inverse
            - direct
        quanto_multiplier:
          type: string
          description: 合约乘数
        leverage_min:
          type: string
          description: 最小杠杆
        leverage_max:
          type: string
          description: 最大杠杆
        maintenance_rate:
          type: string
          description: 维持保证金率
        order_price_round:
          type: string
          description: 价格精度
        order_size_min:
          type: string
          description: 最小下单张数
        order_size_max:
          type: string
          description: 最大下单张数
        status:
          type: string
          description: 合约状态
        mark_price:
          type: string
          description: 标记价格
        index_price:
          type: string
          description: 指数价格
        funding_rate:
          type: string
          description: 当前资金费率
        funding_next_apply:
          type: integer
          format: int64
          description: 下次资金费率结算时间
        market_order_slip_ratio:
          type: string
          description: 市价单最大滑点比例
      additionalProperties: true
  securitySchemes:
    DexBuilderKey:
      type: apiKey
      in: header
      name: KEY
      description: DexBuilder API Key
    DexBuilderTimestamp:
      type: apiKey
      in: header
      name: Timestamp
      description: Unix 时间戳（秒），与当前时间差不得超过 60 秒
    DexBuilderSignature:
      type: apiKey
      in: header
      name: SIGN
      description: 使用 API Secret 对签名字符串执行 HMAC-SHA512 后的十六进制签名

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.